Skip to Content
Uptimeify Docs
Status pages

Delete Status Page

Permanently deletes a status page. Requires the role `admin` or `editor`.

DELETE /api/status-pages/:id

Example (cURL)

curl -X DELETE "$BASE_URL/api/status-pages/1" \
  -H "Authorization: Bearer $TOKEN"

Response

{ "deleted": true, "id": 1 }

Common errors

  • 401 Unauthorized when not authenticated
  • 403 Forbidden (forbidden) when the role is neither admin nor editor (for example readonly, global supporter)
  • 403 Forbidden (managed_by_organization) when a customer-bound token deletes a managed page without the customer's canEditManaged exception
  • 404 Not found when the status page does not exist

On this page